aboutsummaryrefslogtreecommitdiffstats
path: root/tests/auth-login/t
diff options
context:
space:
mode:
Diffstat (limited to 'tests/auth-login/t')
-rw-r--r--tests/auth-login/t12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/auth-login/t b/tests/auth-login/t
new file mode 100644
index 0000000..7fd83d5
--- /dev/null
+++ b/tests/auth-login/t
@@ -0,0 +1,12 @@
+for ((i = 0; i < 32; i++)); do
+ u="$(shuf -n1 -e "local" "remote")"
+ sample_message | deliver -u "$u"
+done
+
+# check that credentials aren't leaked to the debug output
+interimap --debug || error
+grep -Fx "remote: C: xxx LOGIN [REDACTED]" <"$STDERR" || error
+
+check_mailbox_status "INBOX"
+
+# vim: set filetype=sh :